Description

Hi,

I would like to use User (Account) Data for lists and tables in wiki pages e.g. list all admins or something like that.

It would be great to have a possibility to assign user defined fields to user accounts to allocate "tags" e.g. special company functions,

phone numbers, building... and to search for them subsequently in wiki by using a macro like

{{taggedpages(tag)}}

from plugin "wiki extensions".    

The users should input that additional data by themselves (very important to reduce workload for admins) during registration process 

and later by a special "admin request" to "force" users to update their account data (especially user defined field). The request should

be done automatically e.g. once a month/quarter.

The macro could be named:

{{TaggedUserAccounts(tag1, tag2, ...)}}

 This search macro should be able to use wildcards (*), to gain more flexibility (this is also an issue for plugin wiki extensions).

At the moment user account data are only used for granting permissions and prevent anonymous tickets and so on, but user data

could also be used for further very useful purposes in wikis.

Regards

Michael

History

#1 - 2015-07-30 20:51 - Michael Goegel

Found an example here: http://www.redminecrm.com/projects/people/pages/1

The development is stopped as far as I can see.

#2 - 2015-08-03 22:40 - Michael Goegel

Does anybody understand what I mean by this proposal/feature request?

The user accounts can be used as Human Ressource Datebase in wiki pages. E.g. it would be possbile to create lists of persons with specific tasks

(membership in a working group or something like this) automatically.

This would allow to use redmine wiki module for more than manuals or tutorials.

#3 - 2015-08-27 10:11 - Toshi MARUYAMA

- Category changed from Wiki to Text formatting

#4 - 2015-08-27 10:14 - Toshi MARUYAMA

- Category changed from Text formatting to Wiki
